Poco f 1 issue

I can’t install the application on my Poco f1, it says this application not supported, pls help


It’s a new phone with Android version 10